Generate Pre-signed Upload URLs
Initiates the payroll submission process. This endpoint generates secure, time-limited Google Cloud Storage URLs for file uploads.
Workflow:
- Call this endpoint with a list of file metadata.
- Use the returned
uploadUrlto perform a PUT request with the raw file content. - Our system automatically processes the file once the upload is complete.
Headers
- Type: stringAuthorizationrequired
Authentication JWT used to validate your session. Format: Bearer {token}
Body
required
List of file metadata for the documents you wish to upload.
- Type: array object[] ·
Responses
Request Example for post/api/v1/payroll-submissions
curl https://sandbox.bmgmoney.com/law/api/v1/payroll-submissions \
--request POST \
--header 'Authorization: Bearer AAAAAAAAAAAAAAAAAAAAAMLheAAAAAAA0%2BuSeid%2BULvsea4JtiGRiSDSJSI%3DEUifiRBkKG5E2XzMDjRfl76ZC9Ub0wnz4XsNiRVBChTYbJcE3F' \
--header 'Content-Type: application/json-patch+json' \
--data '[
{
"fileType": "2",
"referenceDate": "2026-01-20T00:00:00Z",
"checksum": "79054025255fb1a26e4bc422aef54eb4",
"fileName": "payroll_report_january.csv"
}
]'
[
{
"fileName": "census_january_2026.csv",
"fileType": "Census",
"uploadUrl": "https://storage.googleapis.com/download-token-path",
"expiration": "2026-01-22T11:25:00Z"
}
]